Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 249608 - make libgdiplus optional for dev-lang/mono-2.0.1
Summary: make libgdiplus optional for dev-lang/mono-2.0.1
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks: 234305
  Show dependency tree
 
Reported: 2008-12-02 12:06 UTC by Andrei Ivanov
Modified: 2008-12-25 23:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
change ebuild to only use and depend on libgdiplus if USE="X" (mono-2.0.1-ebuild-use-X.patch,817 bytes, patch)
2008-12-05 17:41 UTC, Ian Abbott
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Ivanov 2008-12-02 12:06:28 UTC
mono-2.0.1 forces me to have cairo compiled with the X use flag because of libgdiplus and I don't want the extra X stuff (I already have some for java)
mono-1.9.1 has a X use flag, which is now missing from the current version

Thank you
Comment 1 Ian Abbott 2008-12-05 17:41:50 UTC
Created attachment 174339 [details, diff]
change ebuild to only use and depend on libgdiplus if USE="X"

This patch to the ebuild works for me. Well, at least it builds okay; I haven't tested the resulting binaries much.
Comment 2 Gerald 2008-12-11 22:46:06 UTC
Patch works great for me on x64! Please include this in the official Mono ebuild - console-only-Mono on servers is really useful :-)
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2008-12-25 23:06:19 UTC
Fixed in 2.0.1-r1 with USE="minimal"